
run "D:\Data\workdata\704665\daycare\dofiles\first.do"

******************************************************************************
*  ever married - added for referee in final round, not reported in paper
******************************************************************************
 foreach num of numlist 1980/1985{
use pnr civ*  using "$raw\GRUND`num'.dta",clear 
bysort pnr: gen byte copies=_n
drop if copies>1
drop copies
drop if pnr==""
merge 1:1 pnr using pop_daycare.dta
keep if _merge==3
drop _merge

gen outyear=`num'
 
* gen age var
gen age=outyear-fodyear

compress

save "$work\civst_`num'.dta",replace
}

*********************************************************************
 foreach num of numlist 1986/2012{
use pnr civ* CIV* using "$raw\GRUND`num'.dta",clear 
bysort pnr: gen byte copies=_n
drop if copies>1
drop copies
drop if pnr==""
merge 1:1 pnr using pop_daycare.dta
keep if _merge==3
drop _merge

gen outyear=`num'
 
* gen age var
gen age=outyear-fodyear

compress

save "$work\civst_`num'.dta",replace
}

clear
set max_memory 10g

use "$work\civst_1980.dta",clear
 foreach num of numlist 1981/2012{
append  using  "$work\civst_`num'.dta"
 }

sort pnr outyear 

save "$work\civst_panel.dta", replace
* not optimal - huge file - but only do this once ;)
keep pnr  age civ* CIV* male

* drop duplicates
duplicates drop pnr civdato, force
duplicates drop pnr CIV_VFRA, force
replace civdato=CIV_VFRA if civdato==.

*married
keep if civst=="G"

gen marry_year=year(civdato) 
* some weird dates but overall looks reasonable may not need

gen married=1

collapse (min) married marry_year , by(pnr)
replace marry_year=. if marry_year<1940

save "$work\marriage.dta", replace
