do "D:\Data\workdata\704665\daycare\dofiles\first.do"


set max_memory 6g, permanently
set more off
u pnr using "$work\pop_daycare_popmunic_yrapproval.dta", clear 
sort pnr
sa "$work\pop_daycare_pnrlist.dta", replace


* merge to GRUND data to get relevant outcome variables
/*1980-1983*/
local pullvars "qlon koen atpxx hfaudd civst civdato arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY RESUINK_GL SAMLINK_NY  qoffpens qeftlon"
forval year = 1980/1983 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}

/*1984*/
local pullvars "qlon koen atpxx hfaudd civst civdato  arledgr doddato erhver ERHVER79  perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD02_NY RESUINK_GL SAMLINK_NY  qoffpens qeftlon" 
foreach year of numlist 1984 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}


/*1985-1987*/
local pullvars "qlon koen atpxx hfaudd civst civdato  arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD02_NY RESUINK_GL SAMLINK_NY qoffpens qeftlon AKASSE_RAS"
forval year = 1985/1987 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}

/*1988-1990*/
local pullvars "koen atpxx hfaudd civst civdato  arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD02_NY RESUINK_GL SAMLINK_NY qoffpens qeftlon delpens AKASSE_RAS"
forval year = 1988/1990 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}

/*1991-1993*/
local pullvars "qlon koen atpxx hfaudd civst civdato  arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD02_NY RESUINK_GL SAMLINK_NY qoffpens qeftlon qatjpen delpens DISCOALLE_INDK  discotyp AKASSE_RAS"
forval year = 1991/1993 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}

/*1994-2005*/
local pullvars "qlon koen atpxx hfaudd civst civdato  arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD02_NY RESUINK_GL SAMLINK_NY qoffpens qeftlon qatjpen delpens qbistyd DISCOALLE_INDK  discotyp AKASSE_RAS"
forval year = 1994/2005 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}



/*2006*/
set more off
local pullvars "qlon koen atpxx hfaudd civst civdato  arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD02_NY RESUINK_GL SAMLINK_NY qoffpens qeftlon qatjpen  qbistyd DISCOALLE_INDK  discotyp AKASSE_RAS" 
foreach year of numlist 2006 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}


/*2007-2009*/
local pullvars "qlon koen atpxx hfaudd  civst CIV_VFRA arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD07 RESUINK_GL SAMLINK_NY qoffpens qeftlon qatjpen qbistyd DISCOALLE_INDK  discotyp AKASSE_RAS"
forval year = 2007/2009 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}

/*2010*/
local pullvars "qlon koen atpxx hfaudd civst CIV_VFRA arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD07 RESUINK_GL SAMLINK_NY qoffpens qeftlon qatjpen qbistyd DISCO08_ALLE_INDK  discotyp AKASSE_RAS " 
foreach year of numlist 2010 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}
/*2011*/
local pullvars "loenmv koen atpxx hfaudd civst CIV_VFRA arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD07 RESUINK_GL SAMLINK_NY qoffpens qeftlon qatjpen qbistyd DISCO08_ALLE_INDK  discotyp" 
foreach year of numlist 2011 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}

/*2012*/
local pullvars "loenmv koen atpxx hfaudd civst CIV_VFRA arledgr doddato erhver ERHVER79 perindkialt ERHVERVSINDK_GL overforsindk FORMUEINDK_NY OVSKEJD07 RESUINK_GL SAMLINK_NY qeftlon  qbistyd DISCO08_ALLE_INDK  discotyp" 
foreach year of numlist 2012 {
u "$work\pop_daycare_pnrlist.dta", clear
merge 1:m pnr using "${raw}\GRUND`year'.dta", nogen keepus(`pullvars') keep(match master)
g int year=`year'
bysort pnr year: gen byte copies=_n
drop if copies>1
drop copies
compress
order pnr year
sort pnr year
sa "$work\Doutcome`year'.dta", replace
}

